Get tool server by ID
curl --request GET \
--url https://api.devic.ai/v1/tool-servers/{toolServerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/tool-servers/{toolServerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/tool-servers/{toolServerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"clientUID": "<string>",
"enabled": true,
"url": "<string>",
"identifier": "<string>",
"name": "<string>",
"description": "<string>",
"mcpType": true,
"mcpServerProperties": {
"slug": "<string>"
},
"toolServerDefinitionId": "<string>",
"imageUrl": "<string>",
"creartionTimestampMs": 123,
"lastEditTimestampMS": 123,
"toolServerDefinition": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}
]
}
}Tool Servers
Get tool server by ID
Retrieves a specific tool server by its ID, including its tool definition.
GET
/
v1
/
tool-servers
/
{toolServerId}
Get tool server by ID
Authorizations
Use JWT token for authentication
Path Parameters
The unique identifier of the tool server
Response
Tool server retrieved successfully
Tool server ID
Client UID
Whether the tool server is enabled
Base URL
Tool server identifier
Tool server name
Tool server description
Whether this is an MCP type server
Show child attributes
Show child attributes
Tool server definition ID
Image URL
Creation timestamp in milliseconds
Last edit timestamp in milliseconds
Show child attributes
Show child attributes
⌘I